Hinweis: Das Forum wird geschlossen! Neue Registrierungen sind nicht mehr möglich!

 Zurück zu Pro-Linux   Foren-Übersicht   FAQ     Suchen    Mitgliederliste
Die uendliche Geschichte von mir und KDevelop

 
Neuen Beitrag schreiben   Auf Beitrag antworten    Pro-Linux Foren-Übersicht -> Programmieren - Allgemein
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen  
Autor Nachricht
flex =)



Anmeldungsdatum: 31.03.2005
Beiträge: 2

BeitragVerfasst am: 31. März 2005 10:31   Titel: Die uendliche Geschichte von mir und KDevelop

Hi,
ich hab seit ein paar Wochen Gentoo. Ich würde gerne damit SDL programmieren aber bis jetzt kann ich noch nichtmal KDevelop installieren.

wenn ich eingebe:
emerge kdevelop kommt nach einer gewissen Zeit die Fehlermeldung:

grep: /usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.4/libstdc++.la: No such file or dir
ectory
/bin/sed: can't read /usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.4/libstdc++.la: No s
uch file or directory
libtool: link: `/usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.4/libstdc++.la' is not a
valid libtool archive
make[3]: *** [libkdevelop.la] Error 1
make[3]: *** Waiting for unfinished jobs....
grep: /usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.4/libstdc++.la: No such file or dir
ectory
/bin/sed: can't read /usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.4/libstdc++.la: No s
uch file or directory
libtool: link: `/usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.4/libstdc++.la' is not a
valid libtool archive
make[3]: *** [libkdeveloplgpl.la] Error 1
make[3]: Leaving directory `/var/tmp/portage/kdevelop-3.1.2/work/kdevelop-3.1.2/
lib'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/kdevelop-3.1.2/work/kdevelop-3.1.2/
lib'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/kdevelop-3.1.2/work/kdevelop-3.1.2'
make: *** [all] Error 2

!!! ERROR: dev-util/kdevelop-3.1.2 failed.
!!! Function kde_src_compile, Line 166, Exitcode 2
!!! died running emake, kde_src_compile:make
!!! If you need support, post the topmost build error, NOT this status message.

vielleicht kann mir ja jemand helfen THX schon mal im vorraus!!! Wink
 
Benutzer-Profile anzeigen Private Nachricht senden MSN Messenger

hjb
Pro-Linux


Anmeldungsdatum: 15.08.1999
Beiträge: 3236
Wohnort: Bruchsal

BeitragVerfasst am: 31. März 2005 10:39   Titel:

Hi,

installiere libstdc++. Bekommt hier Gentoo etwa die Abhängigkeiten nicht auf die Reihe?

Gruß,
hjb
_________________
Pro-Linux - warum durch Fenster steigen, wenn es eine Tür gibt?
 
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen MSN Messenger

flex =)



Anmeldungsdatum: 31.03.2005
Beiträge: 2

BeitragVerfasst am: 31. März 2005 11:33   Titel:

hi nochma,
also durch emerge kann ich libstdc++ nicht installieren. Das einzige was er findet ist eine libstdc++-v3 [ Masked ] nur weiß ich nicht wirklich ob mich die weiter bringt und ob ich nicht die Finger davon lassen sollte weil sie masked ist ....

ich hoffe dumm Fragen kostet nichts
Danke - Felix
 
Benutzer-Profile anzeigen Private Nachricht senden MSN Messenger

Udo Kanter
Gast





BeitragVerfasst am: 03. Apr 2005 11:39   Titel:

Hallo!

Schau doch mal in das Verzeichnis /usr/lib/gcc-lib/i386-pc-linux-gnu/ welche Versionen der libstdc++ überhaupt installiert sind.

Bei mir wurde immer nach einer /usr/lib/gcc-lib/i386-pc-linux-gnu/3.4.3/libstdc++.la gesucht, es gab aber eine /usr/lib/gcc-lib/i386-pc-linux-gnu/3.4.3-20050110/libstdc++.la.

Ich hab mir dann einen symolischen Link angelegt, und das Problem hatte sich erledigt.

Gruß

Udo
 

AlexMH
Gast





BeitragVerfasst am: 07. Apr 2005 17:47   Titel:

Das Problem ist bekannt und das Gentoo-Forum voll mit Anfragen.

Ihr muesst mit dem Befehl "fix_libtool_files.sh <alte gcc version>" die libs anpassen.
Einfach mal im Gentoo Forum ein wenig suchen.

Wenn ihr einfach ein "emerge --oneshot gcc" macht, dann steht das auch nach dem emergen da.

Gruss,
Alex
 

Beiträge vom vorherigen Thema anzeigen:   
     Pro-Linux Foren-Übersicht -> Programmieren - Allgemein Alle Zeiten sind GMT + 1 Stunde
Seite 1 von 1

 
Gehen Sie zu:  

Powered by phpBB © phpBB Group
pro_linux Theme © 2004 by Mandaxy